Subject: Re: bug#8355: 24.0.50; Boxes in mode-line and scrolling

From: Eli Zaretskii <[email-masked]>
Date: Wed, 09 Dec 2020 18:17:30 +0200

> Date: Tue, 08 Dec 2020 20:33:24 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Lars Ingebrigtsen <[email-masked]>
> > Cc: Antoine Levitt <[email-masked]>,  [email-masked]
> > Date: Tue, 08 Dec 2020 19:27:12 +0100
> > 
> > > The original report was talking about C-v followed by M-v producing a
> > > 1-line displacement.  Is _that_ the problem?  If so, why did you
> > > expect Emacs to come to the same place, AFAIK there's no guarantee of
> > > that when variable-height text is involved.
> > 
> > Shouldn't there be?  Going back a page and forward a page should ideally
> > land you on the same line.
> 
> That's not how Emacs scroll commands work.  But as I said, I will look
> closer at the code and see if there's some subtle issue here.

I installed a partial fix for this.  It improves the situation, in
that for many starting positions of point, the sequence of N C-v's
followed by N M-v's, or vice versa, will now end up in the same line
and the same screen position.  There are still cases where we end up
short by one line, and I don't see how that could be fixed as long as
the buffer has some stretches of lines with smaller or larger height.

Please try the latest master; if the improvement is sufficient, we can
close this bug.

Thanks.